export interface LoginInputDto {
  email: string
  password: string
}

export interface CreateUserDto {
  email: string
  password: string
  username?: string
}

export interface Token {
  accessToken: string
  refreshToken: string
}

export interface TokenRefreshPayload {
  refreshToken: string
}

export interface User {
  id: string
  email: string
  username: string | null
  password: string
  /** @format date-time */
  createdAt: string
  /** @format date-time */
  updatedAt: string
}
